biastest1b = function(parsindex,startmc = 1)
{
.libPaths('/home/p223208/R/library')
library(DDD)
set.seed(42)
ca_vec = c(5,10,15)
la0_vec = c(0.5,0.8,1.4)
mu_vec = c(0,0.1,0.2,0.4)
K_vec = c(40,80,Inf)
pars = c(ca_vec[parsindex[1]],la0_vec[parsindex[2]],mu_vec[parsindex[3]],K_vec[parsindex[4]])
cat("Parameters:",pars,"\n")
inputfile = paste("biastest1a-",parsindex[1],parsindex[2],parsindex[3],parsindex[4],".RData",sep = "")
outputfile = paste("biastest1b-",parsindex[1],parsindex[2],parsindex[3],parsindex[4],".RData",sep = "")
load(inputfile)
print(inputfile)
endmc = 1000;
tol = rep(1E-6,3)
methode = 'lsoda'
outerror = data.frame(lambda = -1,mu = -1,K = -1, loglik = -1, df = -1, conv = -1)
try(load(outputfile))
if(!exists("restot"))
{
   restot = NULL
   startmc = startmc
} else {
   startmc = length(restot[,1])/4 + 1
}
initpars = pmin(1000,pars)
if(startmc <= endmc)
{
   for(mc in startmc:endmc)
   {
      print(mc)
      brts = as.numeric(branching.times(trees[[mc]][[1]]))
      cat("Estimating parameters ... ")
      flush.console()
      res1 = try(dd_ML(brts,initparsopt = initpars[2:4]+1E-6,cond = 1,tol = tol, methode = methode))
      if(!is.data.frame(res1)) { res1 = outerror }
      res2 = try(dd_ML(brts,initparsopt = initpars[2:4]+1E-6,cond = 2,tol = tol, methode = methode))
      if(!is.data.frame(res2)) { res2 = outerror }
      res3 = try(dd_ML(brts,initparsopt = initpars[2:4]+1E-6,cond = 3,tol = tol, methode = methode))
      if(!is.data.frame(res3)) { res3 = outerror }
      restot = rbind(restot,cbind(pars,mc,res1,res2,res3))
      save(restot, file = outputfile)
   }
}
}